Skip to content

Contact​

Every person or company the company deals with, such as an architect or a site manager, classified by ContactTypes. A contact with the system type is a Customer too, under the same uuid.


OpenAPI Spec​

GET
/v2/contacts/spec

Get OpenAPI 3.1.0 spec for Contact API

Responses​

Returns OpenAPI 3.1.0 spec for Contact API

application/json
JSON
{
}

Playground​

Samples​


List Contacts​

GET
/v2/contacts

List Contacts

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
uuid
typeUuid

Contacts that have this type, or one of these.

number
companyName
externalId
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
  
"page": 0,
  
"pages": 0,
  
"size": 10,
  
"items": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"number": "string",
  
  
  
"companyName": "string",
  
  
  
"externalId": "string",
  
  
  
"title": "string",
  
  
  
"salutation": "string",
  
  
  
"firstName": "string",
  
  
  
"surname": "string",
  
  
  
"telephones": [
  
  
  
  
{
  
  
  
  
  
"label": "string",
  
  
  
  
  
"isDefault": true,
  
  
  
  
  
"telephoneNumber": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"emails": [
  
  
  
  
{
  
  
  
  
  
"label": "main",
  
  
  
  
  
"isDefault": true,
  
  
  
  
  
"emailAddress": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"urls": [
  
  
  
  
{
  
  
  
  
  
"label": "homepage",
  
  
  
  
  
"url": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"address": {
  
  
  
  
"link": "custom",
  
  
  
  
"supplement": "string",
  
  
  
  
"street": "string",
  
  
  
  
"clarification": "string",
  
  
  
  
"zip": "string",
  
  
  
  
"city": "string",
  
  
  
  
"state": "string",
  
  
  
  
"country": "string",
  
  
  
  
"externalId": "string",
  
  
  
  
"latitude": 0,
  
  
  
  
"longitude": 0
  
  
  
},
  
  
  
"typeUuids": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new Contact​

POST
/v2/contacts

Create a new Contact

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"companyName": "string",
  
"externalId": "string",
  
"title": "string",
  
"salutation": "string",
  
"firstName": "string",
  
"surname": "string",
  
"telephones": [
  
  
{
  
  
  
"label": "string",
  
  
  
"telephoneNumber": "string"
  
  
}
  
],
  
"emails": [
  
  
{
  
  
  
"label": "main",
  
  
  
"emailAddress": "string"
  
  
}
  
],
  
"urls": [
  
  
{
  
  
  
"label": "homepage",
  
  
  
"url": "string"
  
  
}
  
],
  
"address": {
  
  
"link": "custom",
  
  
"supplement": "string",
  
  
"street": "string",
  
  
"clarification": "string",
  
  
"zip": "string",
  
  
"city": "string",
  
  
"state": "string",
  
  
"country": "string",
  
  
"externalId": "string"
  
},
  
"typeUuids": [
  
  
"string"
  
]
}

Responses​

Contact found

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"companyName": "string",
  
"externalId": "string",
  
"title": "string",
  
"salutation": "string",
  
"firstName": "string",
  
"surname": "string",
  
"telephones": [
  
  
{
  
  
  
"label": "string",
  
  
  
"isDefault": true,
  
  
  
"telephoneNumber": "string"
  
  
}
  
],
  
"emails": [
  
  
{
  
  
  
"label": "main",
  
  
  
"isDefault": true,
  
  
  
"emailAddress": "string"
  
  
}
  
],
  
"urls": [
  
  
{
  
  
  
"label": "homepage",
  
  
  
"url": "string"
  
  
}
  
],
  
"address": {
  
  
"link": "custom",
  
  
"supplement": "string",
  
  
"street": "string",
  
  
"clarification": "string",
  
  
"zip": "string",
  
  
"city": "string",
  
  
"state": "string",
  
  
"country": "string",
  
  
"externalId": "string",
  
  
"latitude": 0,
  
  
"longitude": 0
  
},
  
"typeUuids": [
  
  
"string"
  
],
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a Contact​

GET
/v2/contacts/{contactUuid}

Get a Contact by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

contactUuid*
Type
string
Required
Format
"uuid"

Responses​

Contact found

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"companyName": "string",
  
"externalId": "string",
  
"title": "string",
  
"salutation": "string",
  
"firstName": "string",
  
"surname": "string",
  
"telephones": [
  
  
{
  
  
  
"label": "string",
  
  
  
"isDefault": true,
  
  
  
"telephoneNumber": "string"
  
  
}
  
],
  
"emails": [
  
  
{
  
  
  
"label": "main",
  
  
  
"isDefault": true,
  
  
  
"emailAddress": "string"
  
  
}
  
],
  
"urls": [
  
  
{
  
  
  
"label": "homepage",
  
  
  
"url": "string"
  
  
}
  
],
  
"address": {
  
  
"link": "custom",
  
  
"supplement": "string",
  
  
"street": "string",
  
  
"clarification": "string",
  
  
"zip": "string",
  
  
"city": "string",
  
  
"state": "string",
  
  
"country": "string",
  
  
"externalId": "string",
  
  
"latitude": 0,
  
  
"longitude": 0
  
},
  
"typeUuids": [
  
  
"string"
  
],
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Delete a Contact​

DELETE
/v2/contacts/{contactUuid}

Delete a Contact by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

contactUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully removed

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a Contact​

PATCH
/v2/contacts/{contactUuid}

Update a Contact by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

contactUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"number": "string",
  
"companyName": "string",
  
"externalId": "string",
  
"title": "string",
  
"salutation": "string",
  
"firstName": "string",
  
"surname": "string",
  
"telephones": [
  
  
{
  
  
  
"label": "string",
  
  
  
"telephoneNumber": "string"
  
  
}
  
],
  
"emails": [
  
  
{
  
  
  
"label": "main",
  
  
  
"emailAddress": "string"
  
  
}
  
],
  
"urls": [
  
  
{
  
  
  
"label": "homepage",
  
  
  
"url": "string"
  
  
}
  
],
  
"address": {
  
  
"link": "custom",
  
  
"supplement": "string",
  
  
"street": "string",
  
  
"clarification": "string",
  
  
"zip": "string",
  
  
"city": "string",
  
  
"state": "string",
  
  
"country": "string",
  
  
"externalId": "string"
  
},
  
"typeUuids": [
  
  
"string"
  
]
}

Responses​

Contact found

application/json
JSON
{
  
"uuid": "string",
  
"number": "string",
  
"companyName": "string",
  
"externalId": "string",
  
"title": "string",
  
"salutation": "string",
  
"firstName": "string",
  
"surname": "string",
  
"telephones": [
  
  
{
  
  
  
"label": "string",
  
  
  
"isDefault": true,
  
  
  
"telephoneNumber": "string"
  
  
}
  
],
  
"emails": [
  
  
{
  
  
  
"label": "main",
  
  
  
"isDefault": true,
  
  
  
"emailAddress": "string"
  
  
}
  
],
  
"urls": [
  
  
{
  
  
  
"label": "homepage",
  
  
  
"url": "string"
  
  
}
  
],
  
"address": {
  
  
"link": "custom",
  
  
"supplement": "string",
  
  
"street": "string",
  
  
"clarification": "string",
  
  
"zip": "string",
  
  
"city": "string",
  
  
"state": "string",
  
  
"country": "string",
  
  
"externalId": "string",
  
  
"latitude": 0,
  
  
"longitude": 0
  
},
  
"typeUuids": [
  
  
"string"
  
],
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​